Subject: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Oct 2020 10:09:09 +0200

Eli Zaretskii <[email-masked]> writes:

>> On the third hand, since it's preinstalled, Emacs doesn't need to
>> mention it, because it's always there, and Emacs won't have problems
>> displaying the characters it offers.
>
> Are you sure?  What exactly makes sure Emacs won't have any problems
> in those cases?  For starters, does Emacs really know that a given
> character belongs to "Emoji"?  And if it does, does it know how to
> filter fonts that support Emoji?

I thought that Emacs looped through all the fonts on the system and
checked whether the font had coverage for the character we wanted to
display?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no